Page MenuHomePhabricator

Make it possible to generate only the distribution files that are actually wanted
Closed, ResolvedPublic

Description

We added a ton of icons and split them into a bunch of CSS files, and now with the RTL/LTR variants and the regular/minimised variants and with the raster/vector/mixed variants we suddently have 216 CSS files in the distribution. This is not reasonable.

<MatmaRex> there are 216 .css files in the distribution now, by the way. this is insane.
<James_F> MatmaRex: Indeed.
<James_F> MatmaRex: It'll be worse when we also do this to Apex.
<MatmaRex> this really is rather silly.
<MatmaRex> surely we don't need to always generate both .css and .min.css, nor do we need the three vector/raster/mixed versions.
<MatmaRex> there must be a sensible way to pass this to grunt, as command-line parameters or whatever, and only run the appropriate tasks
<MatmaRex> (we could maybe create separate grunt tasks for this somehow)
<MatmaRex> if we're aiming to make OOUI usable outside of VE/MediaWiki, then having 228 files in the distribution is definitely not the way to go
<MatmaRex> i can't imagine anyone actually using a library like this, being forced to either copy the whole shebang, or fish out the versions they want

Event Timeline

matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a project: OOUI.
matmarex added a subscriber: matmarex.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2015, 11:51 PM
matmarex renamed this task from Address insane distribution bloat to Make it possible to generate only the distribution files that are actually wanted.Apr 6 2015, 12:20 PM
matmarex set Security to None.
Jdforrester-WMF triaged this task as Low priority.May 4 2015, 6:09 PM

Change 266269 had a related patch set uploaded (by Bartosz Dziewoński):
build: Don't generate .min.js and .min.css files by default

https://gerrit.wikimedia.org/r/266269

Change 266269 merged by jenkins-bot:
build: Don't generate .min.js and .min.css files by default

https://gerrit.wikimedia.org/r/266269

Change 266495 had a related patch set uploaded (by Bartosz Dziewoński):
build: Only build one graphics distribution (mixed/vector/raster), not all

https://gerrit.wikimedia.org/r/266495

Change 266495 merged by jenkins-bot:
build: Only build one graphics distribution (mixed/vector/raster), not all

https://gerrit.wikimedia.org/r/266495

matmarex closed this task as Resolved.Jan 26 2016, 9:12 PM
matmarex edited projects, added OOjs-UI-next-release; removed Patch-For-Review.

We're buiding "only" 56 CSS files now, down from 336. Most of this is due to the copious amounts of icon packs, and having a RTL and LTR variant for each one (but we shouldn't remove that, I think). I'm satisfied enough.